function ajaxindicatorstart() {
    if (jQuery('body').find('#resultLoading').attr('id') != 'resultLoading') {
        jQuery('body').append(
        '<div id="resultLoading" style="display:none;">' +
            '<div style="-moz-border-radius: 7px; -webkit-border-radius: 7px;">' +
                '<div style="heigh:5px; vertical-align:middle;">' +
                    '<img src="/facturacion/assets/images/loader.gif" heigh="5px"> ' +
                '</div>' +
            '</div>' +
            '<div class="bg">' +
            '</div>' +
        '</div>');
    }
    jQuery('#resultLoading').css({
        'width': '100%',
        'height': '100%',
        'position': 'fixed',
        'z-index': '10000000',
        'top': '0',
        'left': '0',
        'right': '0',
        'bottom': '0',
        'margin': 'auto'
    });
    jQuery('#resultLoading .bg').css({
        'background': '#000000',
        'opacity': '0.3',
        'width': '100%',
        'height': '100%',
        'position': 'absolute',
        'top': '0'
    });
    jQuery('#resultLoading>div:first').css({
        'width': '50px',
        'height': '32px',
        'text-align': 'center',
        'position': 'fixed',
        'top': '0',
        'left': '0',
        'right': '0',
        'bottom': '0',
        'margin': 'auto',
        'font-family': 'arial',
        'font-weight': 'bold',
        'font-size': '16px',
        'z-index': '10',
        'color': '#ffffff'
    });
    jQuery('#resultLoading .bg').height('100%');
    jQuery('#resultLoading').fadeIn(300);
    jQuery('body').css('cursor', 'wait');
}

function ajaxindicatorstop() {
    jQuery('#resultLoading .bg').height('100%');
    jQuery('#resultLoading').fadeOut(300);
    jQuery('body').css('cursor', 'default');
}

function mensajeErrorAJAX() {
    swal("Algo salio mal...!!!",
        "Error al conectarse con la aplicación, comuniquese con el administrador del sistema, codigo de error: JS-01", 
        "error");
}